////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 1.7
//  \   \         Application : Spartan-6 FPGA GTP Transceiver Wizard  
//  /   /         Filename : instantiation_template.v
// /___/   /\     Timestamp : 
// \   \  /  \ 
//  \___\/\___\ 
//
//
// Instantiation Template
// Generated by Xilinx Spartan-6 FPGA GTP Transceiver Wizard
// 
// 
// (c) Copyright 2009 Xilinx, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Xilinx, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Xilinx, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Xilinx shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Xilinx had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Xilinx products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Xilinx products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES. 


// Use the templates in this file to add the components generated by the wizard to your
// design. 

   


    //--------------------------- The GTP Wrapper -----------------------------


    SER16 #
    (
        .WRAPPER_SIM_GTPRESET_SPEEDUP   (0),      // Set this to 1 for simulation
        .WRAPPER_SIMULATION             (0)       // Set this to 1 for simulation
    )
    ser16_i
    (
    
        //_____________________________________________________________________
        //_____________________________________________________________________
        //TILE0  (X0_Y0)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .TILE0_LOOPBACK0_IN             (),
        .TILE0_LOOPBACK1_IN             (),
        //------------------------------- PLL Ports --------------------------------
        .TILE0_CLK00_IN                 (tile3_gtp0_refclk_i),
        .TILE0_CLK01_IN                 (tied_to_ground_i),
        .TILE0_GTPRESET0_IN             (),
        .TILE0_GTPRESET1_IN             (),
        .TILE0_PLLLKDET0_OUT            (),
        .TILE0_PLLLKDET1_OUT            (),
        .TILE0_RESETDONE0_OUT           (),
        .TILE0_RESETDONE1_OUT           (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .TILE0_RXDISPERR0_OUT           (),
        .TILE0_RXDISPERR1_OUT           (),
        .TILE0_RXNOTINTABLE0_OUT        (),
        .TILE0_RXNOTINTABLE1_OUT        (),
        //--------------------- Receive Ports - PRBS Detection ---------------------
        .TILE0_PRBSCNTRESET0_IN         (),
        .TILE0_PRBSCNTRESET1_IN         (),
        .TILE0_RXENPRBSTST0_IN          (),
        .TILE0_RXENPRBSTST1_IN          (),
        .TILE0_RXPRBSERR0_OUT           (),
        .TILE0_RXPRBSERR1_OUT           (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .TILE0_RXDATA0_OUT              (),
        .TILE0_RXDATA1_OUT              (),
        .TILE0_RXRECCLK0_OUT            (),
        .TILE0_RXRECCLK1_OUT            (),
        .TILE0_RXUSRCLK0_IN             (),
        .TILE0_RXUSRCLK1_IN             (),
        .TILE0_RXUSRCLK20_IN            (),
        .TILE0_RXUSRCLK21_IN            (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .TILE0_RXEQMIX0_IN              (),
        .TILE0_RXEQMIX1_IN              (),
        .TILE0_RXN0_IN                  (),
        .TILE0_RXN1_IN                  (),
        .TILE0_RXP0_IN                  (),
        .TILE0_RXP1_IN                  (),
        //--------- Receive Ports - RX Elastic Buffer and Phase Alignment ----------
        .TILE0_RXENPMAPHASEALIGN0_IN    (),
        .TILE0_RXENPMAPHASEALIGN1_IN    (),
        .TILE0_RXPMASETPHASE0_IN        (),
        .TILE0_RXPMASETPHASE1_IN        (),
        //-------------------------- TX/RX Datapath Ports --------------------------
        .TILE0_GTPCLKFBEAST_OUT         (),
        .TILE0_GTPCLKFBWEST_OUT         (),
        .TILE0_GTPCLKOUT0_OUT           (),
        .TILE0_GTPCLKOUT1_OUT           (),
        //----------------- Transmit Ports - 8b10b Encoder Control -----------------
        .TILE0_TXCHARISK0_IN            (),
        .TILE0_TXCHARISK1_IN            (),
        //------------- Transmit Ports - TX Buffer and Phase Alignment -------------
        .TILE0_TXENPMAPHASEALIGN0_IN    (),
        .TILE0_TXENPMAPHASEALIGN1_IN    (),
        .TILE0_TXPMASETPHASE0_IN        (),
        .TILE0_TXPMASETPHASE1_IN        (),
        //---------------- Transmit Ports - TX Data Path interface -----------------
        .TILE0_TXDATA0_IN               (),
        .TILE0_TXDATA1_IN               (),
        .TILE0_TXOUTCLK0_OUT            (),
        .TILE0_TXOUTCLK1_OUT            (),
        .TILE0_TXUSRCLK0_IN             (),
        .TILE0_TXUSRCLK1_IN             (),
        .TILE0_TXUSRCLK20_IN            (),
        .TILE0_TXUSRCLK21_IN            (),
        //------------- Transmit Ports - TX Driver and OOB signalling --------------
        .TILE0_TXN0_OUT                 (),
        .TILE0_TXN1_OUT                 (),
        .TILE0_TXP0_OUT                 (),
        .TILE0_TXP1_OUT                 (),
        //------------------- Transmit Ports - TX PRBS Generator -------------------
        .TILE0_TXENPRBSTST0_IN          (),
        .TILE0_TXENPRBSTST1_IN          (),


    
        //_____________________________________________________________________
        //_____________________________________________________________________
        //TILE1  (X1_Y0)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .TILE1_LOOPBACK0_IN             (),
        .TILE1_LOOPBACK1_IN             (),
        //------------------------------- PLL Ports --------------------------------
        .TILE1_CLK00_IN                 (tile3_gtp0_refclk_i),
        .TILE1_CLK01_IN                 (tied_to_ground_i),
        .TILE1_GTPRESET0_IN             (),
        .TILE1_GTPRESET1_IN             (),
        .TILE1_PLLLKDET0_OUT            (),
        .TILE1_PLLLKDET1_OUT            (),
        .TILE1_RESETDONE0_OUT           (),
        .TILE1_RESETDONE1_OUT           (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .TILE1_RXDISPERR0_OUT           (),
        .TILE1_RXDISPERR1_OUT           (),
        .TILE1_RXNOTINTABLE0_OUT        (),
        .TILE1_RXNOTINTABLE1_OUT        (),
        //--------------------- Receive Ports - PRBS Detection ---------------------
        .TILE1_PRBSCNTRESET0_IN         (),
        .TILE1_PRBSCNTRESET1_IN         (),
        .TILE1_RXENPRBSTST0_IN          (),
        .TILE1_RXENPRBSTST1_IN          (),
        .TILE1_RXPRBSERR0_OUT           (),
        .TILE1_RXPRBSERR1_OUT           (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .TILE1_RXDATA0_OUT              (),
        .TILE1_RXDATA1_OUT              (),
        .TILE1_RXRECCLK0_OUT            (),
        .TILE1_RXRECCLK1_OUT            (),
        .TILE1_RXUSRCLK0_IN             (),
        .TILE1_RXUSRCLK1_IN             (),
        .TILE1_RXUSRCLK20_IN            (),
        .TILE1_RXUSRCLK21_IN            (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .TILE1_RXEQMIX0_IN              (),
        .TILE1_RXEQMIX1_IN              (),
        .TILE1_RXN0_IN                  (),
        .TILE1_RXN1_IN                  (),
        .TILE1_RXP0_IN                  (),
        .TILE1_RXP1_IN                  (),
        //--------- Receive Ports - RX Elastic Buffer and Phase Alignment ----------
        .TILE1_RXENPMAPHASEALIGN0_IN    (),
        .TILE1_RXENPMAPHASEALIGN1_IN    (),
        .TILE1_RXPMASETPHASE0_IN        (),
        .TILE1_RXPMASETPHASE1_IN        (),
        //-------------------------- TX/RX Datapath Ports --------------------------
        .TILE1_GTPCLKFBEAST_OUT         (),
        .TILE1_GTPCLKFBWEST_OUT         (),
        .TILE1_GTPCLKOUT0_OUT           (),
        .TILE1_GTPCLKOUT1_OUT           (),
        //----------------- Transmit Ports - 8b10b Encoder Control -----------------
        .TILE1_TXCHARISK0_IN            (),
        .TILE1_TXCHARISK1_IN            (),
        //------------- Transmit Ports - TX Buffer and Phase Alignment -------------
        .TILE1_TXENPMAPHASEALIGN0_IN    (),
        .TILE1_TXENPMAPHASEALIGN1_IN    (),
        .TILE1_TXPMASETPHASE0_IN        (),
        .TILE1_TXPMASETPHASE1_IN        (),
        //---------------- Transmit Ports - TX Data Path interface -----------------
        .TILE1_TXDATA0_IN               (),
        .TILE1_TXDATA1_IN               (),
        .TILE1_TXOUTCLK0_OUT            (),
        .TILE1_TXOUTCLK1_OUT            (),
        .TILE1_TXUSRCLK0_IN             (),
        .TILE1_TXUSRCLK1_IN             (),
        .TILE1_TXUSRCLK20_IN            (),
        .TILE1_TXUSRCLK21_IN            (),
        //------------- Transmit Ports - TX Driver and OOB signalling --------------
        .TILE1_TXN0_OUT                 (),
        .TILE1_TXN1_OUT                 (),
        .TILE1_TXP0_OUT                 (),
        .TILE1_TXP1_OUT                 (),
        //------------------- Transmit Ports - TX PRBS Generator -------------------
        .TILE1_TXENPRBSTST0_IN          (),
        .TILE1_TXENPRBSTST1_IN          (),


    
        //_____________________________________________________________________
        //_____________________________________________________________________
        //TILE2  (X0_Y1)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .TILE2_LOOPBACK0_IN             (),
        .TILE2_LOOPBACK1_IN             (),
        //------------------------------- PLL Ports --------------------------------
        .TILE2_CLK00_IN                 (tile3_gtp0_refclk_i),
        .TILE2_CLK01_IN                 (tied_to_ground_i),
        .TILE2_GTPRESET0_IN             (),
        .TILE2_GTPRESET1_IN             (),
        .TILE2_PLLLKDET0_OUT            (),
        .TILE2_PLLLKDET1_OUT            (),
        .TILE2_RESETDONE0_OUT           (),
        .TILE2_RESETDONE1_OUT           (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .TILE2_RXDISPERR0_OUT           (),
        .TILE2_RXDISPERR1_OUT           (),
        .TILE2_RXNOTINTABLE0_OUT        (),
        .TILE2_RXNOTINTABLE1_OUT        (),
        //--------------------- Receive Ports - PRBS Detection ---------------------
        .TILE2_PRBSCNTRESET0_IN         (),
        .TILE2_PRBSCNTRESET1_IN         (),
        .TILE2_RXENPRBSTST0_IN          (),
        .TILE2_RXENPRBSTST1_IN          (),
        .TILE2_RXPRBSERR0_OUT           (),
        .TILE2_RXPRBSERR1_OUT           (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .TILE2_RXDATA0_OUT              (),
        .TILE2_RXDATA1_OUT              (),
        .TILE2_RXRECCLK0_OUT            (),
        .TILE2_RXRECCLK1_OUT            (),
        .TILE2_RXUSRCLK0_IN             (),
        .TILE2_RXUSRCLK1_IN             (),
        .TILE2_RXUSRCLK20_IN            (),
        .TILE2_RXUSRCLK21_IN            (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .TILE2_RXEQMIX0_IN              (),
        .TILE2_RXEQMIX1_IN              (),
        .TILE2_RXN0_IN                  (),
        .TILE2_RXN1_IN                  (),
        .TILE2_RXP0_IN                  (),
        .TILE2_RXP1_IN                  (),
        //--------- Receive Ports - RX Elastic Buffer and Phase Alignment ----------
        .TILE2_RXENPMAPHASEALIGN0_IN    (),
        .TILE2_RXENPMAPHASEALIGN1_IN    (),
        .TILE2_RXPMASETPHASE0_IN        (),
        .TILE2_RXPMASETPHASE1_IN        (),
        //-------------------------- TX/RX Datapath Ports --------------------------
        .TILE2_GTPCLKFBEAST_OUT         (),
        .TILE2_GTPCLKFBWEST_OUT         (),
        .TILE2_GTPCLKOUT0_OUT           (),
        .TILE2_GTPCLKOUT1_OUT           (),
        //----------------- Transmit Ports - 8b10b Encoder Control -----------------
        .TILE2_TXCHARISK0_IN            (),
        .TILE2_TXCHARISK1_IN            (),
        //------------- Transmit Ports - TX Buffer and Phase Alignment -------------
        .TILE2_TXENPMAPHASEALIGN0_IN    (),
        .TILE2_TXENPMAPHASEALIGN1_IN    (),
        .TILE2_TXPMASETPHASE0_IN        (),
        .TILE2_TXPMASETPHASE1_IN        (),
        //---------------- Transmit Ports - TX Data Path interface -----------------
        .TILE2_TXDATA0_IN               (),
        .TILE2_TXDATA1_IN               (),
        .TILE2_TXOUTCLK0_OUT            (),
        .TILE2_TXOUTCLK1_OUT            (),
        .TILE2_TXUSRCLK0_IN             (),
        .TILE2_TXUSRCLK1_IN             (),
        .TILE2_TXUSRCLK20_IN            (),
        .TILE2_TXUSRCLK21_IN            (),
        //------------- Transmit Ports - TX Driver and OOB signalling --------------
        .TILE2_TXN0_OUT                 (),
        .TILE2_TXN1_OUT                 (),
        .TILE2_TXP0_OUT                 (),
        .TILE2_TXP1_OUT                 (),
        //------------------- Transmit Ports - TX PRBS Generator -------------------
        .TILE2_TXENPRBSTST0_IN          (),
        .TILE2_TXENPRBSTST1_IN          (),


    
        //_____________________________________________________________________
        //_____________________________________________________________________
        //TILE3  (X1_Y1)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .TILE3_LOOPBACK0_IN             (),
        .TILE3_LOOPBACK1_IN             (),
        //------------------------------- PLL Ports --------------------------------
        .TILE3_CLK00_IN                 (tile3_gtp0_refclk_i),
        .TILE3_CLK01_IN                 (tied_to_ground_i),
        .TILE3_GTPRESET0_IN             (),
        .TILE3_GTPRESET1_IN             (),
        .TILE3_PLLLKDET0_OUT            (),
        .TILE3_PLLLKDET1_OUT            (),
        .TILE3_RESETDONE0_OUT           (),
        .TILE3_RESETDONE1_OUT           (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .TILE3_RXDISPERR0_OUT           (),
        .TILE3_RXDISPERR1_OUT           (),
        .TILE3_RXNOTINTABLE0_OUT        (),
        .TILE3_RXNOTINTABLE1_OUT        (),
        //--------------------- Receive Ports - PRBS Detection ---------------------
        .TILE3_PRBSCNTRESET0_IN         (),
        .TILE3_PRBSCNTRESET1_IN         (),
        .TILE3_RXENPRBSTST0_IN          (),
        .TILE3_RXENPRBSTST1_IN          (),
        .TILE3_RXPRBSERR0_OUT           (),
        .TILE3_RXPRBSERR1_OUT           (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .TILE3_RXDATA0_OUT              (),
        .TILE3_RXDATA1_OUT              (),
        .TILE3_RXRECCLK0_OUT            (),
        .TILE3_RXRECCLK1_OUT            (),
        .TILE3_RXUSRCLK0_IN             (),
        .TILE3_RXUSRCLK1_IN             (),
        .TILE3_RXUSRCLK20_IN            (),
        .TILE3_RXUSRCLK21_IN            (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .TILE3_RXEQMIX0_IN              (),
        .TILE3_RXEQMIX1_IN              (),
        .TILE3_RXN0_IN                  (),
        .TILE3_RXN1_IN                  (),
        .TILE3_RXP0_IN                  (),
        .TILE3_RXP1_IN                  (),
        //--------- Receive Ports - RX Elastic Buffer and Phase Alignment ----------
        .TILE3_RXENPMAPHASEALIGN0_IN    (),
        .TILE3_RXENPMAPHASEALIGN1_IN    (),
        .TILE3_RXPMASETPHASE0_IN        (),
        .TILE3_RXPMASETPHASE1_IN        (),
        //-------------------------- TX/RX Datapath Ports --------------------------
        .TILE3_GTPCLKFBEAST_OUT         (),
        .TILE3_GTPCLKFBWEST_OUT         (),
        .TILE3_GTPCLKOUT0_OUT           (),
        .TILE3_GTPCLKOUT1_OUT           (),
        //----------------- Transmit Ports - 8b10b Encoder Control -----------------
        .TILE3_TXCHARISK0_IN            (),
        .TILE3_TXCHARISK1_IN            (),
        //------------- Transmit Ports - TX Buffer and Phase Alignment -------------
        .TILE3_TXENPMAPHASEALIGN0_IN    (),
        .TILE3_TXENPMAPHASEALIGN1_IN    (),
        .TILE3_TXPMASETPHASE0_IN        (),
        .TILE3_TXPMASETPHASE1_IN        (),
        //---------------- Transmit Ports - TX Data Path interface -----------------
        .TILE3_TXDATA0_IN               (),
        .TILE3_TXDATA1_IN               (),
        .TILE3_TXOUTCLK0_OUT            (),
        .TILE3_TXOUTCLK1_OUT            (),
        .TILE3_TXUSRCLK0_IN             (),
        .TILE3_TXUSRCLK1_IN             (),
        .TILE3_TXUSRCLK20_IN            (),
        .TILE3_TXUSRCLK21_IN            (),
        //------------- Transmit Ports - TX Driver and OOB signalling --------------
        .TILE3_TXN0_OUT                 (),
        .TILE3_TXN1_OUT                 (),
        .TILE3_TXP0_OUT                 (),
        .TILE3_TXP1_OUT                 (),
        //------------------- Transmit Ports - TX PRBS Generator -------------------
        .TILE3_TXENPRBSTST0_IN          (),
        .TILE3_TXENPRBSTST1_IN          ()


    );
    



    //---------------------Dedicated GTP Reference Clock Inputs ---------------
    // Each dedicated refclk you are using in your design will need its own IBUFDS instance
    
    IBUFDS tile0_gtp0_refclk_ibufds_i
    (
        .O                              (tile0_gtp0_refclk_i),
        .I                              (),  // Connect to package pin AJ13
        .IB                             ()   // Connect to package pin AK13
    );

    IBUFDS tile1_gtp0_refclk_ibufds_i
    (
        .O                              (tile1_gtp0_refclk_i),
        .I                              (),  // Connect to package pin AG18
        .IB                             ()   // Connect to package pin AH18
    );

    IBUFDS tile2_gtp0_refclk_ibufds_i
    (
        .O                              (tile2_gtp0_refclk_i),
        .I                              (),  // Connect to package pin B13
        .IB                             ()   // Connect to package pin A13
    );

    IBUFDS tile3_gtp0_refclk_ibufds_i
    (
        .O                              (tile3_gtp0_refclk_i),
        .I                              (),  // Connect to package pin D18
        .IB                             ()   // Connect to package pin C18
    );



    //---------------------------- TXSYNC module ------------------------------
    // Since you are bypassing the TX Buffer in your wrapper, you will need to drive
    // the phase alignment ports to align the phase of the TX Datapath. Include
    // this module in your design to have phase alignment performed automatically as
    // it is done in the example design.
    

    
    TX_SYNC # 
    (
        .PLL_DIVSEL_OUT    (1)
    )
    tile0_txsync0_i 
    (
        .TXENPMAPHASEALIGN              ()    
        .TXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    TX_SYNC # 
    (
        .PLL_DIVSEL_OUT    (1)
    )
    tile1_txsync0_i 
    (
        .TXENPMAPHASEALIGN              ()    
        .TXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    TX_SYNC # 
    (
        .PLL_DIVSEL_OUT    (1)
    )
    tile2_txsync0_i 
    (
        .TXENPMAPHASEALIGN              ()    
        .TXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    TX_SYNC # 
    (
        .PLL_DIVSEL_OUT    (1)
    )
    tile3_txsync0_i 
    (
        .TXENPMAPHASEALIGN              ()    
        .TXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    

    
    TX_SYNC # 
    (
        .PLL_DIVSEL_OUT    (1)
    )
    tile0_txsync1_i 
    (
        .TXENPMAPHASEALIGN              ()    
        .TXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    TX_SYNC # 
    (
        .PLL_DIVSEL_OUT    (1)
    )
    tile1_txsync1_i 
    (
        .TXENPMAPHASEALIGN              ()    
        .TXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    TX_SYNC # 
    (
        .PLL_DIVSEL_OUT    (1)
    )
    tile2_txsync1_i 
    (
        .TXENPMAPHASEALIGN              ()    
        .TXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    TX_SYNC # 
    (
        .PLL_DIVSEL_OUT    (1)
    )
    tile3_txsync1_i 
    (
        .TXENPMAPHASEALIGN              ()    
        .TXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    


    //-------------------------- RXSYNC modules -------------------------------
    // The RXSYNC module performs phase synchronization for all the active RX datapaths. It
    // waits for the user clocks to be stable, then drives the RX phase align signals on each
    // GTP. When phase synchronization is complete, it asserts SYNC_DONE
    
    // Include one RX_SYNC module per Buffer bypassed RX datapath in your own design. RX_SYNC modules
    // can also be shared, but when sharing, make sure to hold the module in reset until all lanes have 
    // a stable clock
    

    
    RX_SYNC tile0_rxsync0_i 
    (
        .RXENPMAPHASEALIGN              ()    
        .RXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    RX_SYNC tile1_rxsync0_i 
    (
        .RXENPMAPHASEALIGN              ()    
        .RXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    RX_SYNC tile2_rxsync0_i 
    (
        .RXENPMAPHASEALIGN              ()    
        .RXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    RX_SYNC tile3_rxsync0_i 
    (
        .RXENPMAPHASEALIGN              ()    
        .RXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    

    
    RX_SYNC tile0_rxsync1_i 
    (
        .RXENPMAPHASEALIGN              ()    
        .RXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    RX_SYNC tile1_rxsync1_i 
    (
        .RXENPMAPHASEALIGN              ()    
        .RXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    RX_SYNC tile2_rxsync1_i 
    (
        .RXENPMAPHASEALIGN              ()    
        .RXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    
    RX_SYNC tile3_rxsync1_i 
    (
        .RXENPMAPHASEALIGN              ()    
        .RXPMASETPHASE                  ()
        .SYNC_DONE                      ()
        .USER_CLK                       ()
        .RESET                          (),
    );
    
    
    

