module tx_reclock
(
    input [75:0] din,
    // this is fabric clock, in phase = 0 with clk80
    input clk40, 
    
    output [37:0] dout,
    output reg frame_0,
    input clk80 // this is tx_clk
);

    reg [75:0] inreg;
    (* mark_debug *) wire [75:0] inreg_w = inreg;
	 assign dout = inreg[37:0];
    reg clk40_ff;
    
    always @(posedge clk40)
    begin 
        clk40_ff = ~clk40_ff; // just inverts on every clk40
    end 

    (* async_reg = "TRUE" *) reg clk40_r;
    (* mark_debug *) wire clk40_w = clk40;
    (* mark_debug *) wire clk80_w = clk80;
   
    // mux output according to clk40 phase
    always @(posedge clk80)
    begin
        if (clk40_r != clk40_ff)
        begin 
            frame_0 = 1'b0;
				inreg[37:0] = inreg[75:38];
        end 

        if (clk40_r == clk40_ff)
        begin 
            frame_0 = 1'b1;
				inreg = din;
        end 

        clk40_r = clk40_ff; // clk40 history
    end
    

endmodule
